import { Link } from "wouter";
import { Button } from "@/components/ui/button";

const HeroSection = () => {
  return (
    <section className="bg-primary text-white py-12 md:py-20">
      <div className="container mx-auto px-4">
        <div className="flex flex-col md:flex-row items-center">
          <div className="w-full md:w-1/2 mb-8 md:mb-0">
            <h1 className="text-3xl md:text-4xl font-bold mb-4">
              Découvrez notre collection d'eBooks exclusifs
            </h1>
            <p className="text-lg mb-6">
              Des ressources pour vous aider à réussir dans tous les domaines de votre vie.
            </p>
            <div className="flex flex-col sm:flex-row gap-4">
              <Button
                className="bg-[#F59E0B] text-white hover:bg-[#F59E0B]/90 transition-colors duration-200"
                size="lg"
                asChild
              >
                <Link href="/">Explorer les eBooks</Link>
              </Button>
              <Button
                className="bg-white text-primary hover:bg-gray-100 transition-colors duration-200"
                size="lg"
                variant="outline"
                asChild
              >
                <Link href="/affiliates">Voir les produits affiliés</Link>
              </Button>
            </div>
          </div>
          <div className="w-full md:w-1/2 flex justify-center md:justify-end">
            <div className="relative w-64 md:w-80">
              <img
                src="https://images.unsplash.com/photo-1544716278-ca5e3f4abd8c?ixlib=rb-4.0.3&auto=format&fit=crop&w=800&q=80"
                alt="Collection d'ebooks"
                className="rounded-lg shadow-lg"
              />
              <div className="absolute -bottom-4 -left-4 bg-[#C026D3] text-white px-4 py-2 rounded-md shadow-md">
                <span className="font-bold">NOUVEAU</span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default HeroSection;
