import { Button } from "@/components/ui/button";

const PromoSection = () => {
  return (
    <section className="py-12 bg-white">
      <div className="container mx-auto px-4">
        <div className="bg-primary rounded-lg overflow-hidden shadow-xl">
          <div className="md:flex">
            <div className="w-full md:w-1/2 p-8 md:p-12 flex flex-col justify-center">
              <span className="text-[#F59E0B] font-semibold text-sm md:text-base uppercase tracking-wider mb-3">
                Offre spéciale
              </span>
              <h2 className="text-white text-2xl md:text-3xl font-bold mb-4">
                Obtenez 3 eBooks business au prix de 2
              </h2>
              <p className="text-white/80 mb-6">
                Pour un temps limité, enrichissez votre bibliothèque avec nos meilleures ressources à prix réduit.
              </p>
              <div>
                <Button className="bg-[#F59E0B] text-white hover:bg-[#F59E0B]/90 transition-colors duration-200">
                  Profiter de l'offre
                </Button>
              </div>
            </div>
            <div className="w-full md:w-1/2 relative">
              <img
                src="https://images.unsplash.com/photo-1532012197267-da84d127e765?ixlib=rb-4.0.3&auto=format&fit=crop&w=800&q=80"
                alt="Offre spéciale ebooks"
                className="w-full h-64 md:h-full object-cover"
              />
              <div className="absolute top-4 right-4 bg-[#C026D3] text-white text-lg md:text-xl font-bold px-4 py-2 rounded-full flex items-center justify-center">
                -33%
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default PromoSection;
