import { Link } from "wouter";
import { Facebook, Twitter, Instagram, Linkedin } from "@/lib/icons";

const Footer = () => {
  return (
    <footer className="bg-gray-900 text-gray-400 py-12">
      <div className="container mx-auto px-4 sm:px-6 lg:px-8">
        <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-8 mb-8">
          <div>
            <h3 className="text-white text-lg font-bold font-montserrat mb-4">KarukeraBiz</h3>
            <p className="mb-4">Votre destination pour des eBooks de qualité dans diverses catégories, du business au développement personnel.</p>
            <div className="flex space-x-4">
              <a href="#" className="text-gray-400 hover:text-white transition">
                <Facebook className="h-5 w-5" />
              </a>
              <a href="#" className="text-gray-400 hover:text-white transition">
                <Twitter className="h-5 w-5" />
              </a>
              <a href="#" className="text-gray-400 hover:text-white transition">
                <Instagram className="h-5 w-5" />
              </a>
              <a href="#" className="text-gray-400 hover:text-white transition">
                <Linkedin className="h-5 w-5" />
              </a>
            </div>
          </div>
          
          <div>
            <h3 className="text-white text-lg font-bold font-montserrat mb-4">Liens Rapides</h3>
            <ul className="space-y-2">
              <li><Link href="/" className="hover:text-white transition">Accueil</Link></li>
              <li><Link href="/#categories" className="hover:text-white transition">Catégories</Link></li>
              <li><Link href="/#bestsellers" className="hover:text-white transition">Meilleures Ventes</Link></li>
              <li><Link href="/affiliate" className="hover:text-white transition">Produits Partenaires</Link></li>
              <li><Link href="/#contact" className="hover:text-white transition">Contact</Link></li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-white text-lg font-bold font-montserrat mb-4">Catégories</h3>
            <ul className="space-y-2">
              <li><Link href="/categories/business" className="hover:text-white transition">Business</Link></li>
              <li><Link href="/categories/romans" className="hover:text-white transition">Romans</Link></li>
              <li><Link href="/categories/guides" className="hover:text-white transition">Guides Pratiques</Link></li>
              <li><Link href="/categories/developpement-personnel" className="hover:text-white transition">Développement Personnel</Link></li>
              <li><Link href="/#categories" className="hover:text-white transition">Voir tout</Link></li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-white text-lg font-bold font-montserrat mb-4">Informations</h3>
            <ul className="space-y-2">
              <li><a href="#" className="hover:text-white transition">À propos</a></li>
              <li><a href="#" className="hover:text-white transition">Conditions d'utilisation</a></li>
              <li><a href="#" className="hover:text-white transition">Politique de confidentialité</a></li>
              <li><a href="#" className="hover:text-white transition">FAQ</a></li>
              <li><a href="#" className="hover:text-white transition">Support</a></li>
            </ul>
          </div>
        </div>
        
        <div className="pt-8 mt-8 border-t border-gray-800 text-center text-sm">
          <p>&copy; {new Date().getFullYear()} KarukeraBiz. Tous droits réservés.</p>
        </div>
      </div>
    </footer>
  );
};

export default Footer;
