// Types for frontend consumption - matching shared/schema.ts

export interface User {
  id: number;
  username: string;
  password: string;
  email: string;
  fullName?: string;
  createdAt: string;
}

export interface Category {
  id: number;
  name: string;
  slug: string;
  description?: string;
  colorClass?: string;
  imageUrl?: string;
}

export interface Product {
  id: number;
  title: string;
  slug: string;
  description: string;
  price: number;
  categoryId: number;
  imageUrl?: string;
  isBestseller: boolean;
  isNew: boolean;
  rating: number;
  reviewCount: number;
  createdAt: string;
}

export interface AffiliateProduct {
  id: number;
  title: string;
  description: string;
  price: number;
  storeUrl: string;
  storeName: string;
  imageUrl?: string;
  createdAt: string;
}

export interface Contact {
  id: number;
  name: string;
  email: string;
  subject: string;
  message: string;
  createdAt: string;
}

export interface Newsletter {
  id: number;
  email: string;
  createdAt: string;
}
