import { useEffect } from 'react';
import { Link } from 'wouter';
import { Button } from '@/components/ui/button';
import { CheckCircle2 } from 'lucide-react';

const ConfirmationPage = () => {
  useEffect(() => {
    // Scroll to top when component mounts
    window.scrollTo(0, 0);
  }, []);

  return (
    <div className="container mx-auto px-4 py-16">
      <div className="max-w-2xl mx-auto text-center">
        <div className="bg-white rounded-lg shadow-lg p-8">
          <div className="mb-6 flex justify-center">
            <CheckCircle2 className="h-20 w-20 text-green-500" />
          </div>
          
          <h1 className="text-3xl font-bold text-gray-900 mb-4">
            Merci pour votre achat !
          </h1>
          
          <p className="text-lg text-gray-600 mb-8">
            Votre commande a été confirmée et vous recevrez un email avec les détails de votre achat.
          </p>

          <div className="space-y-4">
            <Button 
              asChild
              className="w-full bg-[#ff9633] hover:bg-[#f97316] text-white font-medium"
            >
              <Link href="/products">
                Continuer mes achats
              </Link>
            </Button>
            
            <Button
              asChild
              variant="outline"
              className="w-full"
            >
              <Link href="/">
                Retour à l'accueil
              </Link>
            </Button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default ConfirmationPage;