import HeroBanner from "@/components/home/HeroBanner";
import CategorySection from "@/components/home/CategorySection";
import BestsellerSection from "@/components/home/BestsellerSection";
import AffiliateSection from "@/components/home/AffiliateSection";
import Newsletter from "@/components/home/Newsletter";
import ContactForm from "@/components/home/ContactForm";
import { useEffect } from "react";
import { useLocation } from "wouter";

const Home = () => {
  const [location] = useLocation();

  useEffect(() => {
    // Handle anchor links for smooth scrolling
    if (location.includes('#')) {
      const id = location.split('#')[1];
      const element = document.getElementById(id);
      if (element) {
        element.scrollIntoView({ behavior: 'smooth', block: 'start' });
      }
    } else {
      window.scrollTo(0, 0);
    }
  }, [location]);

  // Effet supplémentaire pour gérer les ancres lors du chargement initial
  useEffect(() => {
    // Vérifier si l'URL contient une ancre
    if (window.location.hash) {
      const id = window.location.hash.substring(1);
      const element = document.getElementById(id);
      if (element) {
        setTimeout(() => {
          element.scrollIntoView({ behavior: 'smooth', block: 'start' });
        }, 300);
      }
    }
  }, []);

  return (
    <>
      <HeroBanner />
      <CategorySection />
      <BestsellerSection />
      <AffiliateSection />
      <Newsletter />
      <ContactForm />
    </>
  );
};

export default Home;
